#define XOFFSET             100
#define DOOR_FRONT_LEFT     0x20
#define DOOR_FRONT_RIGHT    0x10
#define DOOR_REER_LEFT      0x08
#define DOOR_REER_RIGHT     0x04
#define DOOR_BOOT           0x02
#define DOOR_BONNET         0x01

//void print_auto (byte x, byte y);
//void print_auto_k (byte x, byte y);
//void print_auto_b (byte x, byte y);


void print_auto (unsigned char x, unsigned char y){
   int i;
   Gotoxy(x,y); 
    
    for(i=0; i<196; i++){
        if ((i==28)||(i==56)||(i==84)||(i==112)||(i==140)||(i==168)){y++; Gotoxy(x,y);}
        Lcd_Write(DATA,auto1[i]);
        }
};

void print_auto_k (byte x, byte y){
   int i;
   Gotoxy(x,y); 
    
    for(i=0; i<78; i++){
        if ((i==26)||(i==52)){y++; Gotoxy(x,y);}
        Lcd_Write(DATA,auto1_k[i]);
        }
}

void print_auto_b (byte x, byte y){
   int i;
   Gotoxy(x,y); 
    
    for(i=0; i<78; i++){
        if ((i==26)||(i==52)){y++; Gotoxy(x,y);}
        Lcd_Write(DATA,auto1_b[i]);
        }
}

//====    ====
void MODE_DOORS_STATE (void){
  byte doors_state, y_cls;
  int i;
  PORTD.7=1; podswet_time=0;
  Lcd_Clear();
  print_auto(9,0); 
  while (1){
        if (PINB.4==0) open_door_on=0;
     doors_state=~PINA; 
     //====================   ==========================
     if ((doors_state==0x00)||(open_door_on==0)){
                        Lcd_Clear(); 
                        obnulenie(); 
                        return; }
     //====================================================================                   
     if(doors_state & DOOR_FRONT_LEFT){ 
             // door opened
          Gotoxy(3,3); 
          sprintf (lcd_buffer,"/");
          print_symvol(lcd_buffer);}
     else {
          Gotoxy(3,3); 
          sprintf (lcd_buffer," ");
          print_symvol(lcd_buffer);}
     if(doors_state & DOOR_REER_LEFT){ 
             // door opened
          Gotoxy(3,4); 
          sprintf (lcd_buffer,"/");
          print_symvol(lcd_buffer);}
     else{ 
          Gotoxy(3,4); 
          sprintf (lcd_buffer," ");
          print_symvol(lcd_buffer);}
          
     if(doors_state & DOOR_FRONT_RIGHT){
          Gotoxy(38,3);        
          sprintf (lcd_buffer,"~");
          print_symvol(lcd_buffer);  }
          
     else {
          Gotoxy(38,3);        
          sprintf (lcd_buffer," ");
          print_symvol(lcd_buffer);  }
            
     if(doors_state & DOOR_REER_RIGHT){
          Gotoxy(38,4);        
          sprintf (lcd_buffer,"~");
          print_symvol(lcd_buffer);  }
          
     else {
          Gotoxy(38,4);        
          sprintf (lcd_buffer," ");
          print_symvol(lcd_buffer);  }
          
     if(doors_state & DOOR_BONNET){
          print_auto_k(56, 0);}
     else {
     
            Gotoxy(56,0); 
         y_cls=0;
        for(i=0; i<78; i++){
          if ((i==26)||(i==52)){y_cls++; Gotoxy(56,y_cls);}
          Lcd_Write(DATA,auto1[1]);
        }
        }
        
     if(doors_state & DOOR_BOOT){
          print_auto_b(56, 4);}
     else {
     
            Gotoxy(56,4); 
         y_cls=4;
        for(i=0; i<78; i++){
          if ((i==26)||(i==52)){y_cls++; Gotoxy(56,y_cls);}
          Lcd_Write(DATA,auto1[1]);
        }
     
     }
     }
     }
     


